Unit Photos
UnitPhoto objects represent top-level unit photos data from AppFolio®. Skywalk API allows you to obtain the following unit photos attributes from AppFolio®.
The UnitPhoto Object
Attributes
appfolioIdstring
Unique AppFolio ID for unit.
Example:
"1234"
namestring
Name of unit. Often the unit number.
Example:
"Example Picture"
defaultboolean
Is photo the default.
Example:
true
url.originalstring
URL to original photo.
Example:
"https://<full url to image>/original.jpg"
url.smallstring
URL to small photo.
Example:
"https://<full url to image>/small.jpg"
url.mediumstring
URL to medium photo.
Example:
"https://<full url to image>/medium.jpg"
url.largestring
URL to large photo.
Example:
"https://<full url to image>/large.jpg"
The UnitPhoto Object
{
"appfolioId": "1234",
"name": "Example Picture",
"default": true,
"url": {
"original": "https://<full url to image>/original.jpg",
"small": "https://<full url to image>/small.jpg",
"medium": "https://<full url to image>/medium.jpg",
"large": "https://<full url to image>/large.jpg"
}
}
Get All UnitPhotos
GET /v1/unit-photos?propertyId=<propertyId>&unitId=<unitId>
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The unit photos endpoint returns a list of photos for a given unit in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.
Parameters
propertyIdselect
AppFolio ID of a Property for the photos.
unitIdselect
AppFolio ID of a Unit for the photos.
Returns
The standard List Response Format with a data property containing an array of UnitPhoto objects.
GET /v1/unit-photos?propertyId=5&unitId=123
curl -X GET 'https://api.skywalkapi.com/v1/unit-photos?propertyId=5&unitId=123' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/unit-photos",
"query": {},
"count": 2,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/units?cursor=abcdefg"
},
"data": [
{
"appfolioId": "1234",
"name": "Example Picture",
"default": true,
"url": {
"original": "https://<full url to image>/original.jpg",
"small": "https://<full url to image>/small.jpg",
"medium": "https://<full url to image>/medium.jpg",
"large": "https://<full url to image>/large.jpg"
}
},
{
"appfolioId": "1237",
"name": "Second Example Picture",
"default": false,
"url": {
"original": "https://<full url to image>/original.jpg",
"small": "https://<full url to image>/small.jpg",
"medium": "https://<full url to image>/medium.jpg",
"large": "https://<full url to image>/large.jpg"
}
}
]
}